<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/cita_soporte_tecnico.php';
require '../usuario/decodeUsuario.php';
$response = array();

if (!isset($_POST['id_usuario'])) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$id_usuario = DecodeUser::handlePostUsuario($_POST['id_usuario']);

$cita_soporte_tecnico = CitaSoporteTecnico::mdlGetCitaSoporteTecnicoByIdUsuario($id_usuario);

if (!$cita_soporte_tecnico) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontró la cita de soporte técnico para el usuario';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $cita_soporte_tecnico;

echo json_encode($response);
